%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           dlm
Version:        4.0.2
Release:        %mkrel 4
# For a breakdown of the licensing, see README.license
License:        GPLv2 and GPLv2+ and LGPLv2+
Group:          System/Kernel and hardware
Summary:        Cluster control daemon and tool
URL:            https://fedorahosted.org/cluster/wiki/HomePage
Source0:        https://git.fedorahosted.org/cgit/dlm.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:  kernel-userspace-headers
BuildRequires:  pkgconfig(corosync) >= 2.0
BuildRequires:  pkgconfig(pacemaker-fencing) >= 1.1.7
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsystemd-daemon)
BuildRequires:  systemd-units

Requires:       %{libname} = %{version}-%{release}
Requires:       corosync >= 1.99.9

Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires(post):   rpm-helper >= 0.24.8-1
Requires(preun):  rpm-helper >= 0.24.8-1

%description
The kernel dlm requires a user daemon to control cluster membership.

#------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
The %{name}-lib package contains the libraries needed to use the dlm
from userland applications.

#------------------------------------------------------------------

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------------------------
%prep
%setup -q

%build
# upstream does not require configure
# upstream does not support _smp_mflags
CFLAGS='%{optflags}' %make
CFLAGS='%{optflags}' %make -C fence

%install
%makeinstall_std LIBDIR=%{_libdir} UDEVDIR=%{_udevrulesdir} DESTDIR=%{buildroot}
%makeinstall_std -C fence LIBDIR=%{_libdir} DESTDIR=%{buildroot}

install -Dm 0644 init/dlm.service %{buildroot}%{_unitdir}/%{name}.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_service %{name}

%files
%doc README.license
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}_controld
%{_sbindir}/%{name}_tool
%{_sbindir}/%{name}_stonith
%{_mandir}/man8/%{name}*.8.*
%{_mandir}/man5/%{name}*.5.*
%{_mandir}/man3/*%{name}*.3.*

%files -n %{libname}
%{_udevrulesdir}/*-%{name}.rules
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_includedir}/lib%{name}*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 4.0.2-4.mga5
+ Revision: 747615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.2-3.mga5
+ Revision: 678767
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 4.0.2-2.mga5
+ Revision: 672042
- Rebuild for new systemd

* Thu Aug 21 2014 daviddavid <daviddavid> 4.0.2-1.mga5
+ Revision: 666204
- update Url and Source link-url
- new version: 4.0.2

* Mon Dec 16 2013 danf <danf> 4.0.0-2.mga4
+ Revision: 557468
- Added missing libsystemd-daemon dependency

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - New version

* Fri Jan 11 2013 umeabot <umeabot> 3.99.5-2.mga3
+ Revision: 348833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 sander85 <sander85> 3.99.5-1.mga3
+ Revision: 296334
- usrmove
- New version: 3.99.5

* Sat Apr 28 2012 tmb <tmb> 3.99.2-3.mga2
+ Revision: 233674
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for versioned rpm-helper requires

* Mon Apr 23 2012 boklm <boklm> 3.99.2-1.mga2
+ Revision: 232960
- update release, groups, build requires, provides, post scripts, lib package names for mageia
- imported package dlm


* Wed Apr 11 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.2-1
- New upstream release

* Thu Mar 29 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.1-4
- Merge back from F17

* Wed Mar 21 2012 David Teigland <teigland@redhat.com> - 3.99.1-3
- Fix dlm_stonith linking

* Wed Mar 21 2012 David Teigland <teigland@redhat.com> - 3.99.1-2
- Require pacemaker-libs-devel to build dlm_stonith

* Wed Mar 21 2012 David Teigland <teigland@redhat.com> - 3.99.1-1
- Update to 3.99.1

* Fri Mar 16 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-8
- Rebuild against new corosync (soname change).

* Thu Feb 16 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-7
- Update to upstream HEAD 2ad89c869git.
- Bump BuildRequires and Requires to new corosync

* Mon Feb 13 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-6
- Fix init/systemd service to use /etc/sysconfig/dlm

* Mon Feb  6 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-5
- Fix systemd service to recognize /etc/sysconfig/dlm_controld

* Fri Feb  3 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-4
- Fix systemd service to modprobe dlm

* Fri Feb  3 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-3
- Add patch to fix udev rules and make sure dlm_controld can find
  its devices

* Thu Feb  2 2012 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.99.0-2
- Add Conflicts with clusterlib/cman as necessary

* Tue Jan 24 2012 David Teigland <teigland@redhat.com> - 3.99.0-1
- initial package

